Subject: [bug#30328] [PATCH] gnu: Add emacs-browse-at-remote-gnu.

From: Oleg Pykhalov <[email-masked]>
Date: Wed, 07 Feb 2018 19:37:36 +0300

[email-masked] (Ludovic Courtès) writes:

  >>   > What about simply adding the patch to ‘emacs-browse-at-remote’ if
  >>   > it’s committed upstream way?
  >>
  >> I'm sorry, what do you mean by “committed upstream way”?
  >
  > I mean that the patch for Savannah support is already in the repository
  > of ‘browse-at-remote’, isn’t it?

Technically it is there.

  > Which is to say that the next version of ‘browse-at-remote’ will
  > have that functionality.
  >
  > I don’t know, won’t the next ‘browse-at-remote’ include it?

I hope so, but I cannot answer for them (upstream).
 
  > The output of ‘guix lint’ seems to be messy, too.

Do you mean “filled”?  Sorry for that.

So, what will our strategy be?  Stay close to upstream by making a new
package with patch or patching the original package?

Oleg.